\documentclass[10pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
% \usepackage{present,jh}
\usepackage{../present}
\usepackage{../stats}
\usepackage{listings}
\lstset{language=Python,
        basicstyle=\small\ttfamily}

% \usepackage{pgfplots}
% \pgfplotsset{width=5cm}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=red} 

% \usepackage[english]{babel}
% or whatever

% \usepackage[latin1]{inputenc}
% or whatever


\title[Hypothesis tests] % (optional, use only with long paper titles)
{Hypothesis tests}
\subtitle{}
\author{J Hef{}feron}
\institute{
  Mathematics\\
  Saint Michael's College\\
  Colchester, VT\\[1ex]
  \texttt{jhefferon@smcvt.edu.edu}
}
\date{}

\subject{Hypothesis testing}
% This is only inserted into the PDF information catalog. Can be left
% out. 


%\setlength{\parskip}{1ex}



\begin{document}
\begin{frame}
  \titlepage
\end{frame}



\section{Statistical tests}
\begin{frame}{Back at that Holiday Inn}
The doctor does 
a study about headaches with a new drug and shows up to present the
results.
The issue is whether the doctor findings are easiest to understand
and just got a way-off sample.

Of course, the doctor contends that this is a for-real thing.
But somebody in the audience may think that the results are not significant, 
that they vary
from the expected result only  
because of routine sample-to-sample variation.
\centergraphic[height=0.3\textheight]{discussion.jpg}  

How does the doctor convince the audience member, 
a fellow professional who is skeptical but
fair-minded, that the findings are significant?
\end{frame}

\begin{frame}{Let's get ready to rumble!}
This is science.
Arguments don't involve pottery-throwing.
We support arguments with data.

\pause
To win this argument, the doctor has to say something like this.
\begin{quotation}\small\noindent
``Yes, samples vary.
And I don't claim that my statistic is the true number.''

``But my sample~$\hat{p}$, my observed percentage of people who took the
drug and reported a headache, is very different from the percentage of 
people who did not take the drug and report a headache.''

``The chance of getting a~$\hat{p}$ like mine just by happenstance 
is very, very small.
Here is the calculation.
Because the chance is so small, 
it is easier to believe that my sample report is due to the
drug than that it is due to routine samples-to-sample variation.''
\end{quotation}
\par\noindent
In this way, the doctor convinces the audience to reject the 
claim that the observed difference can be accounted for by  
routine sample variation.
\end{frame}


\begin{frame}
\frametitle{Null and alternative hypotheses}
Our central concern is way-off samples.
If we are holding a sample, say an $\overline{x}$ or a $\hat{p}$,
then we are arguing over whether any difference from the nominal number 
(1)~can be explained as just a samples-vary thing
or (2)~is symptomatic of a genuine phenomenon.

\pause
\exm
A subject in an ESP experiment guessing at a hundred coin flips. 
They get $58$ right.
The argument here is between these two points of view.

\begin{asparadesc}
  \item[Null hypothesis]
    ``There is nothing of interest here; this person's chance on any flip
    is $p=0.50$, just like everyone else's.
    The explanation for the difference between the observed $\hat{p}=0.58$
    and the expected $0.50$ is 
    that it is just routine sample-to-sample variation.''
  \item[Alternative hypothesis]
    ``There is a genuine phenomena here.
    We don't think this person's census number is
    $0.58$ (we don't think
    that a sample number is necessarily the true number),
    but the
    difference between $0.58$ and $0.50$ is so large that 
    it provides strong evidence that $0.50$ is not
    the parameter, is not what we would get if we took a 
    sample of a hundred million instead of just a hundred.'' 
\end{asparadesc}
\end{frame}
\begin{frame}{In symbols}

These are the claims from the prior slide. 
\begin{asparadesc}
  \item[Null hypothesis:]
    ``This person's chance on any flip
    is $p$ just like everyone else's.
    The difference between the observed $\hat{p}$
    and the expected $0.50$ is only 
    due to routine sample-to-sample variation.''
  \item[Alternative hypothesis:]
    ``There is a genuine thing happening here.
    We don't think this person's true number, their census number, is
    $0.58$,
    but the difference between $0.58$ very different than $0.50$.
    Claiming that the true parameter is $0.50$ means that 
    I by happenstance got a value that is very unlikely.  
    That is, claiming $p=0.50$ is hard to sustain.'' 
\end{asparadesc}

\smallskip\noindent
These are those assertions expressed in symbols.
\begin{asparadesc}
  \item[$H_0$:] 
    $p=0.50$
  \item[$H_a$:] 
    $p>0.50$
\end{asparadesc}

\pause\bigskip\noindent
Warning!
These are {\color{red} wrong}.
Don't do these.
\vspace*{-1em}
\begin{center}
\begin{minipage}[t]{0.3\linewidth}
  \begin{asparadesc}
    \item[$H_0$] 
      $=0.50$
    \item[$H_a$] 
      $>0.50$
  \end{asparadesc}
\end{minipage}
\begin{minipage}[t]{0.3\linewidth}
  \begin{asparadesc}
    \item[$H_0$:] 
      $\hat{p}=0.58$
    \item[$H_a$:] 
      $\hat{p}=0.58$
  \end{asparadesc}
\end{minipage}
\begin{minipage}[t]{0.3\linewidth}
  \begin{asparadesc}
    \item[$H_0$:] 
      $p=0.50$
    \item[$H_a$:] 
      $p=0.58$
  \end{asparadesc}
\end{minipage}
\end{center}

\end{frame}



% =============================
\begin{frame}{Our plan}
There are three things involved in doing hypothesis testing:
(1)~stating the hypotheses with symbols and reading them when they 
are stated that way by someone else,
(2)~understanding the sense of the argument,
and (3)~making the argument, including doing the calculations.

We first do~(1).
After that we will turn our attention to~(2).
This is the key step: trying to mechanically go through the procedures without 
understanding
the reasons is much, much harder than understanding and then 
following along.
Finally, with an understanding of the concepts
we will do~(3) in a variety of contexts.
\end{frame}



\section{Stating hypotheses}
\begin{frame}{Practice stating hypotheses}
\exm
The current drug for high blood pressure lowers the number by an
average of $25$.
You are testing a new drug.
State hypotheses.

\begin{tabular}{l}
 Null hypothesis: the new drug is no better  \\
 Alternative hypothesis: the new drug is better  \\
\end{tabular}  

\pause
\begin{tabular}{l}
 $H_0$: $\mu=25$  \\
 $H_a$: $\mu>25$  \\
\end{tabular}  

\pause\medskip
\exm
You are a quality control inspector.
Each morning you test the machines by producing a sample of 
widgets to see if the average diameter is 
$3.4$~cm.
State hypotheses.

\pause
\begin{tabular}{l}
 Null hypothesis:  today, the average diameter is the nominal value \\
 Alternative hypothesis: the diameter is wrong  \\
\end{tabular}  

\pause
\begin{tabular}{l}
 $H_0$: $\mu=3.4$  \\
 $H_a$: $\mu\neq 3.4$  \\
\end{tabular}  
\end{frame}



\begin{frame}
\exm
You are an education researcher, asking whether 
math students do worse when they study while listening to music.
You have a treatment group, $\text{group}_1$, 
and control group, $\text{group}_2$. 
You will report the percentage of each group that that passes.
State hypotheses.

\pause
\begin{tabular}{l}
 Null hypothesis: music makes no difference  \\
 Alternative hypothesis: music makes you more likely to do poorly  \\
\end{tabular}  

\pause
\begin{tabular}{l}
 $H_0$: $p_1-p_2=0$  \\
 $H_a$: $p_1-p_2<0$  \\
\end{tabular}  
\quad or (what is the same thing)
\begin{tabular}{l}
 $H_0$: $p_1=p_2$  \\
 $H_a$: $p_1< p_2$  \\
\end{tabular}  

\pause\medskip
\exm
You want to see if there is a difference between how well 
left-handed and right-handed people do at math.
You will get a sample of SMC students who declare handedness,
give them an exam, and report their averages on a test.
State hypothesis.

\pause
\begin{tabular}{l}
 Null hypothesis:  handedness makes no difference \\
 Alternative hypothesis: handedness does make a difference  \\
\end{tabular}  

\pause
\begin{tabular}{l}
 $H_0$: $\mu_1-\mu_2=0$  \\
 $H_a$: $\mu_1-\mu_2\neq 0$  \\
\end{tabular}  
\quad or (what is the same thing)
\begin{tabular}{l}
 $H_0$: $\mu_1=\mu_2$  \\
 $H_a$: $\mu_1\neq \mu_2$  \\
\end{tabular}  
\end{frame}

\begin{frame}
\exm
You want to see if people over 70 who can walk a quarter mile
have a larger five-year survival rate than those who cannot.
You will take a sample and report what percentage of those who can
walk the distance (this is group 1) live five more years,
and what percentage of those who cannot live five more years.
State hypotheses.    

\pause
\begin{tabular}{l}
 $H_0$: $p_1-p_2=0$  \\
 $H_a$: $p_1-p_2 > 0$  \\
\end{tabular}  
\quad or (what is the same thing)
\begin{tabular}{l}
 $H_0$: $p_1=p_2$  \\
 $H_a$: $p_1>p_2$  \\
\end{tabular}  

\medskip
\exm
You test to see if an orchestra is more likely to pick a new violin player 
who is female if during the audition they do not know the gender.
You will have a group of orchestras who do a blind test (group~1) and 
a group that do not (group~2).
State hypotheses.

\pause
\begin{tabular}{l}
 $H_0$: $p_1-p_2=0$  \\
 $H_a$: $p_1-p_2 > 0$  \\
\end{tabular}  
\quad or (what is the same thing) 
\begin{tabular}{l}
 $H_0$: $p_1=p_2$  \\
 $H_a$: $p_1>p_2$  \\
\end{tabular}  

\medskip
\exm
You want to see if having an orchestra that 
is more than twenty five percent female
affects their chance of picking a new violin player 
who is female.
State hypotheses.

\pause
\begin{tabular}{l}
 $H_0$: $p_1-p_2=0$  \\
 $H_a$: $p_1-p_2 \neq 0$  \\
\end{tabular}  
\quad or (what is the same thing) 
\begin{tabular}{l}
 $H_0$: $p_1=p_2$  \\
 $H_a$: $p_1\neq p_2$  \\
\end{tabular}  
\end{frame}







\section{Understanding the arguments in hypothesis tests}

\begin{frame}{Reminder of the doctor at the Holiday Inn}
The doctor must persuade audience members, 
fellow professionals who are skeptical but
fair-minded, to reject the 
possibility that the observed difference can be accounted for by  
routine sample-to-sample 
variation.
The argument must go like this.

\medskip
\begin{quotation}\small\noindent
``My sample~$\hat{p}$, my observed percentage of people who took the
drug and reported a headache, is very different from the percentage of 
people who did not take the drug and report a headache.''

``You hypothesize that the true number for my population is actually 
the walking-around-have-a-headache number, and that I just got a 
high sample.
However, here is a calculation showing that  
the probability of getting a~$\hat{p}$ like mine just by happenstance 
is very, very small.''

``In our field we agree that in experiments where that probabilitiy is less than
five percent, $0.05$, then
it is easier to believe that the reason the sample number differs from the 
walking-around number is due to the
drug than that it is due to routine samples-to-sample variation.''
\end{quotation}
\end{frame}


\begin{frame}{Definition}

The \alert{$P$~value} is the chance, 
assuming that the null hypothesis is true,
of reporting a sample as extreme or more extreme than the sample
statistic that was actually reported.

The $P$~value provides evidence against~$H_0$.
Specifically, a small $P$-value provides strong evidence against~$H_0$.

\pause\medskip
In this chapter we we will compute $P$-values by using computer simulations. 
\textit{StatKey} assumes that $H_0$ is true
and generates a \alert{randomization distribution}.
Because we are simulating the distribution, this is
an \alert{empirical} or \alert{estimated} $P$-value.
If you walk through the same steps that I did, your computer
simulation may give slightly different numbers.
% But they will get us the answers that we need. 



% \exm You test your friend for ESP by having them predict a hundred coin flips.
% \begin{flushleft}
% \begin{tabular}{l}
%   $H_0$: $p=0.5$  \\
%   $H_a$: $p>0.5$
% \end{tabular}
% \end{flushleft}
% You run the study and your friend gets $61$ flips right, so you 
% report $\hat{p}=0.61$.
% What is the chance of a sample that far from the expected number or 
% even farther; what is the $p$-value?

% The computer easily generate one sample number by simulating 
% flipping a coin a hundred times.
% It can repeat that process many times over, to generate many sample numbers.
% How many of them are $0.61$ or higher?
% \end{frame}

% \begin{frame}
% This is the randomization distribution.
% \centergraphic[height=0.6\textheight]{hyp61.png}
% \end{frame}

% \begin{frame}
% The computer will find the chance of a $\hat{p}$ of $0.61$ or more.
% \centergraphic[height=0.6\textheight]{hyp61a.png}
% The $p$-value is about $0.014$, between one and two percent.
% \end{frame}

% \begin{frame}
% \exm Same setup, but now your friend gets 81 right so you report 
% $\hat{p}=0.81$.
% The computer says this.  
% \centergraphic[height=0.6\textheight]{hyp81d.png}
% The $p$-value is basically $0.000$, basically zero percent.
\end{frame}

% \begin{frame}{Empirical distribution}

% We are simulating the distribution, so this is sometimes called
% an \alert{empirical} or \alert{estimated} $p$-value.
% If you walk through the same steps that I did, your computer
% simulation may give ever so slightly different numbers.
% But they will get us the answers that we need. 
% \end{frame}


\begin{frame}{Test a Mean}
\exm
A high school is thinking of adopting a new English program.
The current program results in an average score on the GCSE of $65$.
With the new program they hope to do better.
\begin{flushleft}
\begin{tabular}{l}
 $H_0$: $\mu=65$  \\
 $H_a$: $\mu> 65$  \\
\end{tabular}  
\end{flushleft}
\pause
They run a sample of $n=12$ students through the new program.
They gather this data:
$62$, 
$84$,
$58$,
$79$,
$73$,
$75$,
$90$,
$83$,
$41$,
$64$,
$70$,
$83$.

Next, we will use \textit{StatKey} to run a test that uses 
a simulation distribution.
It will report the $P$~value.
We will then draw a conclusion using $\alpha=0.05$.
\end{frame}

\begin{frame}
Under \textit{Randomization Hypothesis Tests} click on 
\textit{Test for a Single Mean}.
Enter the data.
\centergraphic[height=0.7\textheight]{english_edit.png}
Also, next to ``$\mu=$'' enter~$65$.  
\end{frame}


\begin{frame}
Our sample mean is $\bar{x}=71.833$.
\centergraphic[height=0.725\textheight]{english_ready.png}
\end{frame}

\begin{frame}
Generate a thousand samples, to get a sense of the sampling distribution.
\centergraphic[height=0.7\textheight]{english_samples.png}
\end{frame}

\begin{frame}
Recall $H_a$:~$\mu> 65$.  
Because it says greater-than, click on \textit{Right Tail}.
Click on the cutoff button in the lower right and change the cutoff
to $71.833$.
\centergraphic[height=0.7\textheight]{english_p_value.png}
\vspace*{-1ex}
The $P$~value is $0.024$.
Because the $P$-value is less than $\alpha=0.05$,
we conclude: Reject $H_0$. 
\end{frame}

\begin{frame}{What just happened?}
Statistics is using data to support arguments.
In the
\begin{flushleft}
\begin{tabular}{l}
 $H_0$: $\mu=65$  \\
 $H_a$: $\mu> 65$  \\
\end{tabular}  
\end{flushleft}
argument the null hypothesis people, the people in the audience at
the Holiday Inn, say ``Samples vary, and perhaps your 
result could be above $65$ purely through
the action of routine sample-to-sample variation.''

\pause
The alternate hypothesis person, the person in the front of the room
at the Holiday Inn, says, 
``Yes, samples vary.
But the chance of getting a number like $\bar{x}=71.833$ 
simply through routine sample-to-sample variation is only 
$P=0.024$.
That's so small that it is hard to sustain what you contended\Dash
it is easier to believe the new English program is genuinely better
than it is to believe that we got such a high sample by happenstance.''

\smallskip
The null hypothesis people are skeptical but fair-minded.
Given evidence, they will change their mind.
Because $P=0.024$ is less than their $\alpha=0.05$ criteria, 
we \alert{reject the null hypothesis}.
\end{frame}


\begin{frame}{Difference in Means}
\exm
You compare high school math students who study while listening to music
with those who do not.
You suspect the listeners will do worse on the exam.
\pause
\begin{flushleft}
\begin{tabular}{l}
 $H_0$: $\mu_1-\mu_2=0$  \\
 $H_a$: $\mu_1 -\mu_2 < 0$  \\
\end{tabular}  
\quad or 
  \begin{tabular}{ll}
    $H_0$: $\mu_1=\mu_2$ \\
    $H_a$: $\mu_1<\mu_2$ \\
  \end{tabular}
\end{flushleft}
When you run the experiment 
you get these test scores.  
\begin{center} \small
  \begin{tabular}{r|rrrrr}
    \textit{music} &$21$ &$19$ &$31$ &$27$ &$21$  \\ \cline{2-6}
    \textit{silence} &$28$ &$26$ &$27$ &$27$ &$29$  \\
  \end{tabular}
\end{center}
\end{frame}

\begin{frame}
Under \textit{Randomization Hypothesis Tests} click on 
\textit{Test for Difference in Means}.
Enter the data.
\centergraphic[height=0.7\textheight]{music_edit.png}  
\end{frame}

\begin{frame}
Note that it says $\bar{x}_1-\bar{x}_2=-3.6$.
Also note that it has the correct null hypothesis, $\mu_1=\mu_2$.
\centergraphic[height=0.7\textheight]{music_ready.png}
\end{frame}

\begin{frame}
Generate a thousand bootstrap samples.
\centergraphic[height=0.7\textheight]{music_samples.png}
Again, yours may look a bit different because of randomization.
\end{frame}


\begin{frame}
Recall that $H_a$:~$\mu_1 -\mu_2 < 0$.
Click on \textit{Left Tail}.
Recall also that our sample statistic is
$\bar{x}_1-\bar{x}_2=-3.6$.
Change the number in the lower
left to a cutoff value of $-3.6$. 
\centergraphic[height=0.7\textheight]{music_p_value.png}
The $P$~value is $0.065$.
\end{frame}


\begin{frame}{Which tail?}
We clicked on ``left tail'' because in the hypotheses
\begin{flushleft}
  \begin{tabular}{ll}
    $H_0$: $\mu_1=\mu_2$ \\
    $H_a$: $\mu_1<\mu_2$ \\
  \end{tabular}
\end{flushleft}
the alternative hypothesis is the same as
$\mu_1-\mu_2<0$, so we are looking for the possibility of
a sample that is way-off to the left of $0$.

\pause
If $H_a$ had said `$>$' we would have clicked on  ``right tail''
because $\mu_1-\mu_2>0$ would mean we were interested in 
values that were extreme to the right. 

\pause
If $H_a$ had said $\neq$ then we would check each tail, one at a time, 
find the smaller chance, and double that number.
\end{frame}




\section{Significance level}

\begin{frame}{$\alpha$}
If the $p$-value is small then we reject $H_0$.
How small?

\pause
The \alert{significance level $\alpha$} is the criteria that we use:
we reject~$H_0$ if the $p$-value is lower than $\alpha$.
In  this case the study is
\alert{statistically significant}.
(The other possibility is simply that we fail to reject~$H_0$.)

In social sciences, typically $\alpha=0.05$. 
But in some
fields or under some circumstances we may agree on a smaller
$\alpha$, making a tougher criteria to meet.

In principle we agree on~$\alpha$ before the data is gathered. 
\end{frame}


\begin{frame}
\exm 
Here is an excerpt from the information for authors for 
\textit{Journal of Foot and Ankle Surgery}.
\begin{quotation}\small
  % Present results with only as much precision as is of scientific value. 
  % For example, report measures of association (e.g., odds ratios, relative 
  % risks, risk differences) to 2 significant digits. 
  Reserve the terms significant and significantly for when describing 
  statistical differences. 
  Do not make the statement ``no significant difference was found'' between 
  2 or more groups unless a power analysis was done and the value of alpha 
  (level osf significance typically 5\% or $p$ value $< .05$) or beta 
  (the power to detect a statistically significant difference, usually 
  80\% or 90\%) is reported. 
  Denote the probability of the null hypothesis using a lowercase 
  italic $p$ separated from the word ``value'' by a hyphen 
  (specifically $p$ value.

  Use of the word ``significant'' requires reporting of a $p$ value 
  (probability) or, preferably, the 95\% confidence interval about a 
  point estimate. 95\% confidence intervals are preferred whenever the 
  results of survivor analyses are given in the text, tables, or graphs. 
  Except when 1-sided tests are required by study methodology, 
  such as in noninferiority trials, 2-sided $p$ values should be reported. 
  By convention, Report $p$ values $> .01$ to 2 decimal places, 
  $p$ values between $.01$ and $.001$ to 3 decimal places, 
  and $p$ values $< .001$ as $p <.001$. 
  Probabilities should never be reported as $p = .000$. 
\end{quotation}

\end{frame}



\begin{frame}{Notes on the definitions}
\begin{enumerate}
\item There are two possible outcomes of a hypothesis test: ``reject~$H_0$''
  and ``fail to reject $H_0$.''
  There is no ``accept $H_0$.''
\item The value of the criteria $\alpha$ depends on your field.
  In many social science and psychology fields, it is $\alpha=0.05$.
  For example, if you are an Education researcher 
  then the journal you want to publish in may have a statement inside the 
  front cover, ``We use $\alpha=0.05$.  
  Do not send us any paper unless the $P$-value
  is less than $0.05$.''

  In contrast, the field of manufacturing artificial hearts is going to
  require quite strict standards, and they might use $\alpha=0.00001$.
\item Conceptually, we write down the hypotheses before we 
  gather the data.
  Likewise, conceptually we agree on~$\alpha$ before the study.
\end{enumerate}
\end{frame}




\begin{frame}{Type~I and Type~II}
There are four possibilities.
\begin{center}\small
  \begin{tabular}{r|cc}
    \multicolumn{1}{c}{\ } 
      &\textit{Reject~$H_0$}
      &\textit{Fail to reject}                     \\ \cline{2-3}
    \textit{$H_0$ is true}  &\alert{Type~I error}  &correct \\
    \textit{$H_0$ is false} &correct       &\alert{Type~II error}
  \end{tabular}
\end{center}

Consider again the study of the new blood pressure drug.
The current drug lowers blood pressure by 25 points; 
does the new drug do better? 
Our first group takes the new drug and second group takes the 
current standard.
\begin{flushleft}
  \begin{tabular}{l}
    $H_0$: $\mu_1=\mu_2$ \\
    $H_a$: $\mu_1>\mu_2$ \\
  \end{tabular}
\end{flushleft}
Suppose the study aims to produce a $p$-value that beats 
the criteria $\alpha=0.01$.
\end{frame}
\begin{frame}
What is the researcher worried about the most?
That the new drug is not better, it is worse, but by sheer happenstance
the sample comes out such that the recommendation is to go with the 
new drug, and people die.

\pause
Were we to shift from $\alpha=0.01$ to~$\alpha=0.05$ then it would be easier to 
reject~$H_0$.
A sample would have to be less way-out to lead to the bad recommendation.
It would be easier to make a Type~I error.

Adjusting the number for $\alpha$ is an engineering choice that balances
factors.
But, of the two errors, we often lean toward avoiding Type~I.

\begin{center}
\fbox{\parbox{0.9\textwidth}{The significance level $\alpha$ is the probability of making a Type~I error.}}
\end{center}
We adjust $\alpha$ depending on the circumstances. 
In the social sciences typically $\alpha=0.05$.
In engineering it may be $\alpha=0.01$, or even smaller. 
\end{frame}




\section{Extra: more on randomization distributions}

\begin{frame}{Goals of a randomization distribution}
  
When we create a randomization distribution we want to 
(1)~fit the null hypothesis
(2)~use the data from the sample
(3)~reflect the way that data was collected.

Because of (1), the center of the randomization distribution is
usually the value of the parameter from the null hypothesis. 
\end{frame}


\begin{frame}
\exm You have a person taking a multiple choice test.
The test has ten questions.
Each question has four choices.
The person gets six questions right.
Could they just have been lucky, or is this convincing evidence that they
studied?

\pause
The null hypothesis is that they just guessed and the sample is only a high
sample.
The alternative hypothesis is that they did study and know something.
\begin{flushleft}
  \begin{tabular}{l}
    $H_0$: $p=0.25$  \\
    $H_a$: $p>0.25$
  \end{tabular}
\end{flushleft}
Let's take $\alpha=0.05$.
\end{frame}
\begin{frame}
Here is the randomization distribution.
Note $p=0.25$, as called for in the null hypothesis.
\centergraphic[height=0.6\textheight]{multchoice1.png}
\end{frame}\begin{frame}
\centergraphic[height=0.6\textheight]{multchoice2.png}
The simulated $p$-value is $0.022$.
We reject~$H_0$ because the $p$-value is less than $\alpha$.
\end{frame}


\begin{frame}
If we were testing means, we'd have to shift our data to make the sample have
the mean called for in the null hypothesis.  
\begin{flushleft}
  \begin{tabular}{l}
    $H_0$: $\mu=25$  \\
    $H_a$: $\mu>25$
  \end{tabular}
\end{flushleft}
\pause
There are a number of other techniques but they lie beyond our scope.
\end{frame}




% ==================================================
\section{Hypothesis test practice}
\begin{frame}{Smoking and weight control}
Public health officials think that in teen girls there is a 
link between smoking and concerns about weight. 
We know that twenty percent of adult American women who smoke cite
as a reason for it a concern with staying thin.
Officials think that for teens the numbers may be bigger. 
\begin{itemize}
\item \alert{State hypotheses}
\pause\item \alert{Gather data} 
Researchers surveyed 273 randomly selected Massachusetts girls 
between 12 and 15 years old. 
Sixty-three said they smoked to stay thin. 
What is the sample statistic?
\pause\item \alert{Run a test} Report a $P$~value. 
\pause\item  Decide if the test is statistically significant at $\alpha=0.05$.
\end{itemize}
\end{frame}

\begin{frame}{Mental health}
The National Institute of Mental Health states that in any one-year period, 
$9.5$ percent of American adults suffer from depression or a depressive illness.
We think that in our town the rate is lower.
\begin{itemize}
\item \alert{State hypotheses}
\pause\item \alert{Gather data}
A survey of 100 adults chosen at random finds that 5 of them 
suffered from depression or a depressive illness. 
What is the sample statistic?  Use the correct notation.
\pause\item \alert{Run a test} 
Report the $P$-value.
\pause\item   Decide if the test is statistically significant at $\alpha=0.05$.
\end{itemize}
\end{frame}


\begin{frame}{Advertising claims}
A tire brand advertisement claims that its tire typically
lasts 50 thousands miles before 
it needs to be replaced.
We suspect it may be less. 
\begin{itemize}
\item \alert{State hypotheses}
\pause\item \alert{Gather data}
We simulate mileage wear on ten tires and get these miles (in thousands).
\begin{equation*}
  43.2, 49.4, 52.0, 51.9, 46.6, 45.9, 48.1, 41.7
\end{equation*}
What is the sample statistic?
\pause\item \alert{Run a test}
Report the $P$-value 
\pause\item Is this signficant at $\alpha=0.05$?
\end{itemize}
\end{frame}



\begin{frame}{Sugar in soda}
We believe that $B$ soda averages more sugar than $A$ soda.
\begin{itemize}
\item \alert{State hypotheses}
\pause\item \alert{Gather data}
We sample cans of $A$ and~$B$.
\begin{center}
\begin{tabular}{r|*{6}{r}}
  \multicolumn{1}{c}{\textit{Brand}}
    &\multicolumn{6}{c}{\textit{sugar, in grams}} \\
  \hline
    $A$ &$34$ &$36$ &$32$ &$36$ &$36$ &$33$   \\
    $B$ &$39$ &$35$ &$34$ &$36$ &$36$ &$37$   \\
\end{tabular}
\end{center}
Find the test statistic.  Use the correct notation.
\pause\item \alert{Run a test} 
Report the $P$~value.
\end{itemize}
\end{frame}




\begin{frame}{Blood pressure and exercise}
We believe that adult Americans who exercise at least six hours a week
are much more likely to have their blood pressure under control.
We will consider the diastolic number (in ``120 over 80'' this is the 80).
We classify men in their 60's into either ``under control'' or 
``not under control.''
\begin{itemize}
\item \alert{State hypotheses}
\pause\item \alert{Gather data}
We find these numbers in our samples.
\begin{center}
\begin{tabular}{r|c}
  \multicolumn{1}{c}{\textit{Exercise?}}
    &\multicolumn{1}{c}{\textit{Percentage under control}} \\
  \hline
    $Yes$ &$74/103=0.72$   \\
    $No$  &$59/97=0.61$   \\
\end{tabular}
\end{center}
Give the sample statistic, using appropriate notation 
\pause\item \alert{Run a test} 
  State the $P$-value.
\end{itemize}
\end{frame}


\begin{frame}{Quality assurance}
Every day we test the piston ring compressors 
we are manufacturing, to check their diameter.
The diameter should average $9.5$~cm.
\begin{itemize}
\item \alert{State hypotheses}
\pause\item \alert{Gather data}
We pull 8 off the factory floor at random.
We get these numbers:
$9.3$, $9.5$, $9.4$, $9.6$, $9.6$, $9.5$, $9.4$, $9.6$
\pause\item \alert{Run a test} 
Report the $P$~value.
\pause\item Is this result statistically significant at level $\alpha=0.05$?
\end{itemize}
\end{frame}



% \begin{frame}{}
% \begin{itemize}
% \item \alert{State hypotheses}
% \pause\item \alert{Gather data}
% \pause\item \alert{Run a test} 
% \pause\item 
% \end{itemize}
% \end{frame}


\end{document}



























































%........................................................
\begin{frame}
\frametitle{Flipping a coin}

When you were in elementary school, they told you that if you
flip a coin a hundred times then you will get heads fifty times.
In fact the chance is this.
\begin{equation*}
  \binom{100}{50}\cdot (.50)^{50}(.50)^{50}=0.07958924\approx 0.08
\end{equation*}
So not only are you not sure to get fifty heads, but in fact it is 
unlikely~-- although not impossible~-- that you will get fifty heads.

\pause
Lesson: when you take a sample and report $\bar{x}$, you are
probably not reporting the true number $\mu$.

\pause 
We saw this before when we drew numbers from a hat.
Most people did not report the true average of the underlying 
population.
\end{frame}


\begin{frame}
\frametitle{Statistical inference}
\exm
Suppose we test a sample of parts leaving our factory.
We are shooting for an average weight of $15.90$--$16.00$ ounces.
We report a sample of $\bar{x}=15.94$.
\pause
Isn't it possible that that our sample is off a bit, and if we could
take a census then it would show $\mu<15.90$?  
\pause
That is, we can't be sure of $\mu$ so we must give an interval,
and indeed we can't even be sure of the interval.

\pause
The answer must be something like this: 
\textit{we are $0.95$ sure that the true number, the parameter, $\mu$ is in the
interval $15.90$--$16.00$}.

\pause
A \alert{level $C$ confidence interval} for a parameter has
a probability~$C$ of containing the true value of the parameter.
\end{frame}



\begin{frame}
\frametitle{Confidence interval}

Draw a simple random sample from a large population whose mean $\mu$
is unknown, but whose standard deviation $\sigma$ is known.
Then 
\begin{equation*}
  \bar{x}\pm z^*\frac{\sigma}{\sqrt{n}}
\end{equation*}
is a level $C$ confidence interval the parameter $\mu$.

\pause
Here, $z^*$ is such that the area under the Normal curve between
$-z^*$ standard deviation units and $+z^*$ standard deviation units
is $C$.
These are the most common $z^*$'s.
\begin{center}\small
  \begin{tabular}{cc}
    $C$     &$z^*$  \\ \hline
    $0.90$  &$1.645$ \\
    $0.95$  &$1.960$ \\
    $0.99$  &$2.576$ \\ 
  \end{tabular}
\end{center}
\end{frame}


\begin{frame}
If we know the desired confidence 
interval width then we can compute the necessary
sample size.

The confidence interval for a population mean $\mu$ will 
have a margin of error $m$ when this is the sample size.
\begin{equation*}
  n=\bigl(\frac{z^*\sigma}{m}\bigr)^2
\end{equation*}
\end{frame}



\begin{frame}
\frametitle{Significance testing}

Our central concern is: what is the chance of a way-off sample?

\exm
A subject in an ESP experiment guessing at a hundred coin flips 
gets $61$ right.

\pause
The argument about this must proceed in this way.

\pause   
\begin{asparadesc}
  \item[Null hypothesis]
    ``There is nothing of interest here; this person's chance on any flip
    is fifty-fifty just like everyone else's.
    The explanation for the difference between the observed $61$
    and the expected $50$ is 
    that it is just routine sample-to-sample variation.''
  \pause\item[Alternative hypothesis]
    ``There is a genuine phenomena here.
    While we don't maintain that this person's expected value is
    $61$ (the point of confidence intervals is that we don't think
    the sample number is right),
    the
    difference between $61$ and $50$ is so large that 
    it provides strong evidence that the $50$ is not
    this person's true number.'' 
\end{asparadesc}
\end{frame}



\begin{frame}
\begin{itemize}
\item
In a test of significance, the statement being tested is the 
\alert{null hypothesis $H_0$}.
The test assesses the strength of evidence \textit{against}
$H_0$.

\pause\item
The other possibility is the \alert{alternative hypothesis $H_0$}.
(Usually it is what we suspect is true.)  

\pause\item
The \alert{$p$-value} is the probability, 
computed assuming that $H_0$ is true,
that the statistic would take a value as extreme or more extreme than
the one observed.

\pause\item
The smaller the $p$-value, the stronger the evidence against $H_0$.

\pause\item
Often we test with a number $\alpha$ in mind, and if the $p$-value
is smaller than $\alpha$ then we say the test is
\alert{statistically significant at level $\alpha$}.
\end{itemize}
\end{frame}



\begin{frame}
To test the null hypothesis $H_0:\,\,\mu=\mu_0$, based on a random sample
of size $n$ with unknown mean $\mu$ and known standard deviation $\sigma$,
compute \alert{the test statistic}
\begin{equation*}
  z=\frac{\bar{x}-\mu_0}{(\sigma/\sqrt{n})}
\end{equation*}
and apply the appropriate case.

\pause
\begin{itemize}
\item If the alternative hypothesis is \alert{one-sided},
either $H_a:\,\,\mu<\mu_0$ or $H_a:\,\,\mu>\mu_0$,
then the $p$-value is the area under a Normal curve 
less than (or greater than) $z$ standard deviation units
from the mean.

\pause
\item If the alternative hypothesis is \alert{two-sided}
$H_a:\,\,\mu\neq\mu_0$
then the $p$-value is twice the area under a Normal curve 
less than $-|z|$ standard deviation units
from the mean.

\end{itemize}
\end{frame}


\begin{frame}
\frametitle{Other situations: $\sigma$ is not known}

For a (approximately normally distributed) underlying population with unknown 
standard deviation we find the variability of the distribution of
$\bar{s}$'s with the \alert{standard error $s/\sqrt{n}$}.
But we do not use the Normal curve; we use the 
\alert{Student's $t$ curve}.

\pause
\begin{itemize}
\item The level $C$ confidence interval is this.
  \begin{equation*}
    \bar{x}\pm t^*\cdot\frac{s}{\sqrt{n}}
  \end{equation*}

\item Compute the test statistic with this.
  \begin{equation*}
    t=\frac{\bar{x}-\mu_0}{(s/\sqrt{n})}
  \end{equation*}
\end{itemize}

\pause
\exm
We want to test the effectiveness of a weight loss program.
For each person we have `before' and `after' numbers, and we 
want to know the true value of `$\text{before}-\text{after}$.' 
This is \alert{matched pairs}.
\end{frame}



\begin{frame}
\frametitle{Other situations: comparing two means}

\exm
We can compare the effectiveness of a weight loss program on
men against its effectiveness on women.

\pause
\begin{itemize}
\item The level $C$ confidence interval is this.
  \begin{equation*}
    (\bar{x}_1-\bar{x}_2)\pm t^*\cdot\sqrt{\frac{s_1^2}{n_1}
                                          +\frac{s_2^2}{n_2}}
  \end{equation*}

\item Compute the test statistic with this.
  \begin{equation*}
    t=\frac{\bar{x}_1-\bar{x}_2}{\sqrt{\frac{s_1^2}{n_1}
                                          +\frac{s_2^2}{n_2}}}
  \end{equation*}
\end{itemize}
\end{frame}




\begin{frame}
\frametitle{Other situations: inference for a proportion}


\exm
We want to determine the percentage $p$ of voters in favor of 
the Democrat.

\pause
\begin{itemize}
\item The level $C$ confidence interval is this.
  \begin{equation*}
    \hat{p}\pm z^*\cdot\sqrt{\frac{\hat{p}(1-\hat{p})}{n}}
  \end{equation*}

\item Compute the test statistic with this.
  \begin{equation*}
    t=\frac{\hat{p}-p_0}{\sqrt{\frac{p_0(1-p_0)}{n}}}
  \end{equation*}
\end{itemize}  
\pause
The level~$C$ confidence interval for a proportion~$p$ will have
a margin of error~$m$ (approximately) when
\begin{equation*}
  \text{sample size}=\bigl(\frac{z^*}{m}\bigr)^2p^*(1-p^*)
\end{equation*}
where $p^*$ is the guessed value for the true proportion.  If we take
$p^*=0.5$ then the sample size is $(z^*/2m)^2$.  This is safest.
\end{frame}



\begin{frame}
\frametitle{Comparing Two Proportions}

\exm
We want to compare the percentage of men who pass the test with the
percentage of women.

\pause
\begin{itemize}
\item The level $C$ confidence interval is this.
  \begin{equation*}
    (\hat{p}_1-\hat{p}_2)\pm z^*
             \cdot\sqrt{\frac{\hat{p}_1(1-\hat{p}_1)}{n_1}+
                        \frac{\hat{p}_2(1-\hat{p}_2)}{n_2}}
  \end{equation*}

\item Compute the test statistic with this.
  \begin{equation*}
    t=\frac{\hat{p}_1-\hat{p}_2}{\sqrt{\hat{p}(1-\hat{p})(\frac{1}{n_1}+\frac{1}{n_2})}}
    \qquad\text{where $\hat{p}=\frac{X_1+X_2}{n_1+n_2}$}
  \end{equation*}
\end{itemize}  
  
\end{frame}
\end{document}



\begin{frame}{How the argument about the coin guesser goes}
The Null Hypothesis people
(the skeptical but fair-minded folks in the audience)
are saying this.

\begin{quotation}\small
Look, samples vary.  
Unless your sample is truly far from $0.50$\Dash with only a very small
chance of happening\Dash then we will be unconvinced, and find it easier to 
believe that your results are due to routine variation
than ESP.
\end{quotation}

\medskip
The Alternate Hypothesis person 
(the person in front of the Holiday Inn room) argues against
the Null Hypothesis.

\begin{quotation}\small
Suppose for the sake of argument that you are right,  
that this person's true population parameter is $p=0.50$, and we only got
a $\hat{p}$ that differs because we took a sample, not a census.

We can calculate the chance of getting a sample such as ours by happenstance. 
The chance of getting an observation of $\hat{p}=0.58$ or more
is small.
\textit{(Comment: this calculation is on the next slide.)}

So in claiming that the difference is just a sample thing, 
you are asserting that I am reporting
something with a small chance of happening.
\end{quotation}
\end{frame}


\begin{frame}{The calculation for that argument}
In \textit{StatKey}, under \textit{Randomization Hypothesis Tests}, open 
\textit{Test for a Single Proportion}.
Set the Null hypothesis to $p=0.50$. 
Also edit the data to reflect the sample of $58$ heads out of $100$ flips.
\centergraphic[height=0.7\textheight]{coin_flip_edit.png}  
\end{frame}

\begin{frame}
Ask \textit{StatKey} to simulate a thousand samples.
Imagine a thousand people each flipping a coin $100$ times, and 
each calls our their sample number.
\centergraphic[height=0.65\textheight]{coin_flip_samp_dist.png}  
This is a distribution of samples.
It looks like a bell curve, with mean about $0.50$.
\end{frame}

\begin{frame}
Now ask \textit{StatKey} what is the chance
of getting a sample of $\hat{p}=0.58$ or more?
Click on \textit{Right Tail} and then change the button in the bottom
right to $0.58$.
\centergraphic[height=0.65\textheight]{coin_flip_p_value.png}  
\textit{StatKey} says the chance of such a sample is $0.06$.
We say \alert{the $P$-value} is $0.06$.
\end{frame}



\begin{frame}{A second example $P$-value calculation}
\exm Again, the experiment involves whether a 
person guesses more coin flips than you would anticipate. 
  \begin{asparadesc}
    \item[$H_0$:] 
      $p=0.50$
    \item[$H_a$:] 
      $p>0.50$
  \end{asparadesc}
This time the person got $81$ right out of $100$. 

We need to calculate how often would an experimenter see $\hat{p}=0.81$ 
if the true number, the census number, were really $p=0.50$.
\end{frame}
\begin{frame}
Set up the simulation of the sampling distribution,
set the Null hypothesis to $0.50$ and 
and edit the data to be $81$ out of~$100$.
\centergraphic[height=0.7\textheight]{second_flip_edit.png}
\end{frame}
\begin{frame}
Have \textit{StatKey} simulate a sampling distribution of size one thousand.
\centergraphic[height=0.68\textheight]{second_flip_samp_dist.png}
Again, picture a thousand people, each flipping a coin a hundred times,
and each reporting their $\hat{p}$.
In that picture, every report is a dot.
\end{frame}
\begin{frame}
How often would $\hat{p}=0.81$ happen if the  
population parameter were really $p=0.50$?
Click on \textit{Right Tail} and change the button to $0.81$.
\centergraphic[height=0.6\textheight]{second_flip_p_value.png}
The $P$-value is, to three decimal places, zero.
If the true number for the coin flip guesser were $p=0.50$, then
a sample of~$\hat{p}=0.81$ is practically impossible.
This is compelling evidence against the null hypothesis.
\end{frame}



\begin{frame}{Definitions}
\begin{itemize}
\item
The \alert{null hypothesis, $H_0$},
is the contention that the treatment makes no difference, that any 
differences reported in a study are due only to routine 
sample-to-sample variation.

\item
The \alert{alternative hypothesis, $H_a$}, is
the claim that the treatment makes some genuine difference,
and the numbers reported from the sample reflect that difference.
\end{itemize}

\pause
Usually we suspect that $H_a$ is true.
We argue by providing evidence against~$H_0$.
\pause
Specifically:
we assume for the sake of argument that $H_0$ is true.
We then find the chance
that a statistic would be as extreme or more extreme than
the one we observed.
This chance is the \alert{$P$~value}. 

If the $P$-value is small 
then it is hard to believe that $H_0$ is correct. 
That is, a smaller the $P$-value provides
stronger evidence against $H_0$.
Usually this is what an experimenter wants.

\pause
Often there is a criteria that the $P$-value must beat,
denoted~\alert{$\alpha$}.
If the $P$-value is less than $\alpha$ then 
the test is
\alert{statistically significant at level $\alpha$}.
\end{frame}





